package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.AidfEspecieDAO;
import com.rjconsultores.ventaboletos.entidad.AidfEspecie;

@Repository("aidfEspecieDAO")
public class AidfEspecieHibernateDAO extends GenericHibernateDAO<AidfEspecie, Integer> implements AidfEspecieDAO{

	@Autowired
	public AidfEspecieHibernateDAO(
			@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}

	@Override
	public List<AidfEspecie> obtenerTodos() {
		Criteria c = getSession().createCriteria(getPersistentClass());
		c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

		return (List<AidfEspecie>)c.list();
	}

}
